Search Gradle plugins

Version 1.0.2 (latest)

1.0.2

Created 17 July 2024.

Provides means of resolving GEMs in a similar way to Maven Wagon using the Kotlin DSL

Using the plugins DSL:

plugins {
  id("org.ysb33r.jruby.resolver.kt") version "1.0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("org.ysb33r.gradle.jruby:jrubygradle-resolver-kotlindsl:1.0.2")
  }
}

apply(plugin = "org.ysb33r.jruby.resolver.kt")

Using the plugins DSL:

plugins {
  id "org.ysb33r.jruby.resolver.kt" version "1.0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "org.ysb33r.gradle.jruby:jrubygradle-resolver-kotlindsl:1.0.2"
  }
}

apply plugin: "org.ysb33r.jruby.resolver.kt"

Learn how to apply plugins to subprojects